cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daan Hoogland <daan.hoogl...@gmail.com>
Subject Re: CloudMonkey 5.1 error
Date Fri, 16 May 2014 17:51:56 GMT
I didn't think of the old frameworks but these don't contain any but
vboxapi. Do you think this has anything to do with it? I uninstalled
and installed cloudmonkey several times and I checked that  it was
really gone in between.

On Thu, May 15, 2014 at 5:19 PM, Rohit Yadav <bhaisaab@apache.org> wrote:
> Try this:
>
> `which cloudmonkey` and try to debug which path the runnable script is
> trying to execute? I'm not sure what's causing issue, probably some path
> issue.
>
> You may remove cloudmonkey using pip uninstall cloudmonkey and rm -fr from
> 2.7 and possibly 2.6 in /Library/Python/{2.6,2.7 etc.} and do a fresh
> install.
>
> Regards.
>
>
>
> On Wed, May 14, 2014 at 1:40 PM, Daan Hoogland <daan.hoogland@gmail.com>wrote:
>
>> request is available. I can run cloudmonkey without the wrapper script:
>>
>> python /Library/Python/2.7/site-packages/cloudmonkey/cloudmonkey.py -c
>> ~/.cloudmonkey/local.root
>>
>> works but
>>
>> cloudmonkey -c ~/.cloudmonkey/local.root
>>
>> gives the error
>>
>>
>> On Wed, May 14, 2014 at 9:33 AM, Rohit Yadav <bhaisaab@apache.org> wrote:
>> > Hi Daan,
>> >
>> > Can you do pip install requests and retry? Looks like requests (used to
>> > sane http calls) library is not available on your system. I'll try to
>> > re-read the code this weekend.
>> >
>> > Regards.
>> >
>> >
>> > On Fri, May 9, 2014 at 10:39 PM, Daan Hoogland <daan.hoogland@gmail.com
>> >wrote:
>> >
>> >> Not sure if this is a bug in code or in user:
>> >> daan:~> cloudmonkey -d ~/.cloudmonkey/local.root
>> >> Traceback (most recent call last):
>> >>   File "/usr/local/bin/cloudmonkey", line 5, in <module>
>> >>     from pkg_resources import load_entry_point
>> >>   File
>> >>
>> "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/pkg_resources.py",
>> >> line 2603, in <module>
>> >>     working_set.require(__requires__)
>> >>   File
>> >>
>> "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/pkg_resources.py",
>> >> line 666, in require
>> >>     needed = self.resolve(parse_requirements(requirements))
>> >>   File
>> >>
>> "/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/pkg_resources.py",
>> >> line 565, in resolve
>> >>     raise DistributionNotFound(req)  # XXX put more info here
>> >> pkg_resources.DistributionNotFound: requests
>> >>
>> >> I did sudo pip install cloudmonkey
>> >>
>> >> and got
>> >> daan:~> pip list | grep cloud
>> >> cloudmonkey (5.1.0)
>> >>
>> >> Any change in reqs?
>> >> any extra reqs on macosx?
>> >>
>> >> --
>> >> Daan
>> >>
>>
>>
>>
>> --
>> Daan
>>



-- 
Daan

Mime
View raw message